/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.email.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QEmail extends EntityPathBase<Email> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// EmailVorgang
, "emailVorgang.emailLayout"
, "emailVorgang.emailVorlage"
, "emailVorgang.wahltermin"
, "emailVorgang.wahl"
	// Personendaten
, "personendaten.anschrift"
, "personendaten.customDataStorage"
, "personendaten.erreichbarkeitsanschrift"
, "personendaten.foto"
, "personendaten.kontoverbindung"
, "personendaten.wahltermin"
, "personendaten.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QEmail email = new QEmail("email");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final NumberPath<java.lang.Long> anzahlSendeversuche = createNumber("anzahlSendeversuche", java.lang.Long.class);

  public final StringPath empfaenger = createString("empfaenger");

  public final StringPath fehlermeldung = createString("fehlermeldung");

  public final StringPath inhalt = createString("inhalt");

  public final DateTimePath letzterSendeversuch = createDateTime("letzterSendeversuch", java.sql.Timestamp.class);

  public final EnumPath<de.ivu.elect.business.email.entity.EmailStatusType> status = createEnum("status", de.ivu.elect.business.email.entity.EmailStatusType.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.email.entity.QEmailVorgang emailVorgang;

  public final de.ivu.elect.business.person.entity.QPersonendaten personendaten;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */
			
  public QEmail(Class<? extends Email> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.emailVorgang = inits.isInitialized("emailVorgang") ? new de.ivu.elect.business.email.entity.QEmailVorgang(forProperty("emailVorgang"), inits.get("emailVorgang")) : null;// de.ivu.elect.business.email.entity.QEmailVorgang.emailVorgang;
    this.personendaten = inits.isInitialized("personendaten") ? new de.ivu.elect.business.person.entity.QPersonendaten(forProperty("personendaten"), inits.get("personendaten")) : null;// de.ivu.elect.business.person.entity.QPersonendaten.personendaten;
  }

  public QEmail(String variable) {
    this(Email.class, forVariable(variable), INITS);
  }

  public QEmail(Path<? extends Email> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QEmail(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QEmail(PathMetadata metadata, PathInits inits) {
    this(Email.class, metadata, inits);
  }
}
